%define	major		0
%define apiver		2.6
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname 	%mklibname %{name} -d

%define build_mono 1

%ifarch %mips %arm
%define build_mono 0
%endif

Summary:		The libGMIME library
Name:			gmime
Version:		2.6.20
Release:		%mkrel 1
License:		LGPLv2+
Group:			System/Libraries
URL:			http://spruce.sourceforge.net/gmime
Source0:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.6/%{name}-%{version}.tar.xz
BuildRequires: %{_lib}mcs-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gpgme-devel
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: zlib1-devel

%if %{build_mono}
BuildRequires:		%{_lib}mono-devel
BuildRequires:		gtk-sharp2-devel
BuildRequires:		glib-sharp2
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This library allows you to manipulate MIME messages.

%package -n %{name}-utils
Summary:	Utilities using the libGMIME library
Group:		System/Libraries

%description -n %{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will 
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package. 

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/Libraries
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep
%setup -q

%build
%configure2_5x --disable-static

make

%install
rm -rf %{buildroot}
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_libdir}/gmimeConf.sh
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{name}-utils
%defattr(-,root,root)
#nothing here but leave package for update compatibility reasons

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*%{apiver}.so.%{major}*
%{_libdir}/girepository-1.0/GMime-%{apiver}.typelib

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog PORTING README TODO
%doc %{_datadir}/gtk-doc/html/%{name}-%{apiver}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%{_datadir}/gir-1.0/GMime-%{apiver}.gir
%{_datadir}/vala/vapi/gmime-%{apiver}.*
%if %{build_mono}
%{_datadir}/gapi-2.0/gmime-api.xml
%endif

%if %{build_mono}
%files sharp
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/%{name}-sharp
%{_prefix}/lib/mono/%{name}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{name}-sharp-%{apiver}.pc
%endif


%changelog
* Sat Oct 29 2016 adrianomorselli <adrianomorselli> 2.6.20-1uplos2016
- rebuild

* Sun May 01 2016 bb <bb> 2.6.20-1pclos2016
- update for geary

* Fri Nov 11 2011 Texstar <texstar at gmail.com> 2.6.1-1pclos2011
- 2.6.1

* Thu Sep 01 2011 Texstar <texstar at gmail.com> 2.6.0-1pclos2011
- 2.6.0
